Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.datatransfer
Interface Transferable

All Known Implementing Classes:
  DataHandler, DropTargetContext.TransferableProxy, StringSelection

    public interface Transferable

Defines the interface for classes that can be used to provide data for a transfer operation.

For information on using data transfer with Swing, see How to Use Drag and Drop and Data Transfer, a section in The Java Tutorial, for more information.

Method Summary
`Object` | `getTransferData(DataFlavor flavor)` Returns an object which represents the data to be transferred.
`DataFlavor[]` | `getTransferDataFlavors()` Returns an array of DataFlavor objects indicating the flavors the data can be provided in.
`boolean` | `isDataFlavorSupported(DataFlavor flavor)` Returns whether or not the specified data flavor is supported for this object.

Method Detail

### getTransferDataFlavors

    DataFlavor[] getTransferDataFlavors()

  Returns an array of DataFlavor objects indicating the flavors the data can be provided in. The array should be ordered according to preference for providing the data (from most richly descriptive to least descriptive).

  Returns:
    an array of data flavors in which this data can be transferred

### isDataFlavorSupported

    boolean isDataFlavorSupported(DataFlavor flavor)

  Returns whether or not the specified data flavor is supported for this object.

  Parameters:
    `flavor` - the requested flavor for the data
  Returns:
    boolean indicating whether or not the data flavor is supported

### getTransferData

    Object getTransferData(DataFlavor flavor)
                           throws UnsupportedFlavorException,
                                  IOException

  Returns an object which represents the data to be transferred. The class of the object returned is defined by the representation class of the flavor.

  Parameters:
    `flavor` - the requested flavor for the data
  Throws:
    `IOException` - if the data is no longer available in the requested flavor.
    `UnsupportedFlavorException` - if the requested data flavor is not supported.
  See Also:
    `DataFlavor.getRepresentationClass()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Java™ Platform Standard Ed. 6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2011, Oracle and/or its affiliates. All rights reserved.